package com.ruoyi.qdtl.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.qdtl.domain.TlInspectionLocationLog;
import com.ruoyi.qdtl.domain.UserCheckPoint;
import com.ruoyi.qdtl.mapper.TlInspectionLocationLogMapper;
import com.ruoyi.qdtl.service.ITlInspectionLocationLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 巡检记录管理Service业务层处理
 *
 * @author ruoyi
 * @date 2022-03-10
 */
@Service
public class TlInspectionLocationLogServiceImpl implements ITlInspectionLocationLogService {
    @Autowired
    private TlInspectionLocationLogMapper tlInspectionLocationLogMapper;

    /**
     * 查询巡检记录管理
     *
     * @param id 巡检记录管理主键
     * @return 巡检记录管理
     */
    @Override
    public TlInspectionLocationLog selectTlInspectionLocationLogById(Long id) {
        return tlInspectionLocationLogMapper.selectTlInspectionLocationLogById(id);
    }

    /**
     * 查询巡检记录管理列表
     *
     * @param tlInspectionLocationLog 巡检记录管理
     * @return 巡检记录管理
     */
    @Override
    public List<TlInspectionLocationLog> selectTlInspectionLocationLogList(TlInspectionLocationLog tlInspectionLocationLog) {
        return tlInspectionLocationLogMapper.selectTlInspectionLocationLogList(tlInspectionLocationLog);
    }

    /**
     * 新增巡检记录管理
     *
     * @param tlInspectionLocationLog 巡检记录管理
     * @return 结果
     */
    @Override
    public int insertTlInspectionLocationLog(TlInspectionLocationLog tlInspectionLocationLog) {
        if (ObjectUtil.isNull(tlInspectionLocationLog.getCreateTime())) {
            tlInspectionLocationLog.setCreateTime(DateUtils.getNowDate());
        }
        return tlInspectionLocationLogMapper.insertTlInspectionLocationLog(tlInspectionLocationLog);
    }

    /**
     * 修改巡检记录管理
     *
     * @param tlInspectionLocationLog 巡检记录管理
     * @return 结果
     */
    @Override
    public int updateTlInspectionLocationLog(TlInspectionLocationLog tlInspectionLocationLog) {
        return tlInspectionLocationLogMapper.updateTlInspectionLocationLog(tlInspectionLocationLog);
    }

    /**
     * 批量删除巡检记录管理
     *
     * @param ids 需要删除的巡检记录管理主键
     * @return 结果
     */
    @Override
    public int deleteTlInspectionLocationLogByIds(Long[] ids) {
        return tlInspectionLocationLogMapper.deleteTlInspectionLocationLogByIds(ids);
    }

    /**
     * 删除巡检记录管理信息
     *
     * @param id 巡检记录管理主键
     * @return 结果
     */
    @Override
    public int deleteTlInspectionLocationLogById(Long id) {
        return tlInspectionLocationLogMapper.deleteTlInspectionLocationLogById(id);
    }

    @Override
    public Date queryMaxDate() {
        return tlInspectionLocationLogMapper.queryMaxDate();
    }

    @Override
    public List<TlInspectionLocationLog> queryByCondition(String date, String checkpointCard, String deviceId) {
        return tlInspectionLocationLogMapper.queryByCondition(date, checkpointCard, deviceId);
    }

    /**
     * 根据人员统计巡检次数
     *
     * @return
     */
    @Override
    public List<UserCheckPoint> queryUserGroup() {
        return tlInspectionLocationLogMapper.queryUserGroup();
    }
}
